Bug 6420 - "net" command crashed when attempting to join a domain
"net" command crashed when attempting to join a domain
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Client tools
3.3.4
Other All
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 04:36 UTC by Karolin Seeger
Modified: 2009-10-05 19:53 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (1018 bytes, patch)
2009-05-29 04:41 UTC, Karolin Seeger
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2009-05-29 04:36:48 UTC
"net" command crashed when attempting to join a
domain. This occurred in a very specific case where the DC had multiple IPs and
one of the IPs was invalid.
Comment 1 Karolin Seeger 2009-05-29 04:41:38 UTC
Created attachment 4218 [details]
Proposed patch
Comment 2 Guenther Deschner 2009-09-30 07:46:45 UTC
Comment on attachment 4218 [details]
Proposed patch

looks fine (and is already in v3-4-test)
Comment 3 Karolin Seeger 2009-10-02 04:26:36 UTC
Thanks, Günther!

Pushed to v3-3-test, closing out bug report.